package com.xydl.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "i2relation")
@ApiModel("i2relation表")
public class I2relation {

    @Id
    @Column(name = "sensorid")
    private String sensorid;

    @Column(name = "eqmid")
    private Integer eqmid;

    @Column(name = "cacid")
    private String cacid;

    @Column(name = "equipmentid")
    private String equipmentid;

    @Column(name = "monitortype")
    private String monitortype;

    @Column(name = "phase")
    private String phase;

    @Column(name = "sensorindex")
    private Integer sensorindex;

}